// (c) 2024 WZP widget-zp.de
if (!window.$wzp) {
    window.$wzp = {};
}
(function () {
    window.$wzp.Book = function () {
        const elements = document.querySelectorAll('.wzp_book > .bk-book');
        if (!elements || elements.length == 0) return;
        
        
        elements.forEach((el) => {
            function turnPage(forwards = true) {
                const current = el.querySelector('.bk-content.bk-content-current');
                const newEl = forwards ? current.nextElementSibling : current.previousElementSibling;
                
                if (!newEl || newEl.classList.contains('bk-nav') || newEl.classList.contains('bk-page-close')) return;
                current.classList.remove('bk-content-current');
                newEl.classList.add('bk-content-current');
            }
        
            el.querySelectorAll('[data-bk-toggle="front"]').forEach((e) => {
                e.addEventListener('click', () => {
                    el.classList.toggle('bk-viewinside');
                });
            });
            
            el.parentNode.querySelector('.bk-flip-btn')?.addEventListener('click', () => {
                el.classList.toggle('bk-viewback');
            });
            
            const pages = el.querySelectorAll('.bk-content');
            
            if (pages.length > 1) {
                const nav = document.createElement('div');
                nav.classList.add('bk-nav');
                
                const prevBtn = document.createElement('button');
                prevBtn.innerHTML = '&lt;';
                prevBtn.addEventListener('click', () => {
                    turnPage(false);
                });
                prevBtn.setAttribute("title", "Vorherige Seite");
                
                const nextBtn = document.createElement('button');
                nextBtn.innerHTML = '&gt;';
                nextBtn.addEventListener('click', () => {
                    turnPage(true);
                });
                nextBtn.setAttribute("title", "Nächste Seite");
                
                nav.appendChild(prevBtn);
                nav.appendChild(nextBtn);
                
                el.querySelector('.bk-page').appendChild(nav);
            }
            
        });
        
    };

    document.addEventListener('DOMContentLoaded', function () {
        window.$wzp.Book();
    });
})();
